View Issue Details

IDProjectCategoryView StatusLast Update
0001238FreeCADFeaturepublic2015-12-15 13:15
Reporternikospap Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.16 
Summary0001238: Preferences: set temp files directory
DescriptionAllow the user to set a custom folder for temporary files, other than " /tmp ".
Useful for disk space problems, or permissions issues.
Additional InformationAs seen in Audacity ( Preferences --> Folders )
TagsNo tags attached.

Activities

yorik

2013-09-11 12:03

administrator   ~0003565

I think if your disk is full, or the temp folder is not writable, almost every application will start having problems, including your OS itself. FreeCAD using your systems temp folder is totally standard behavior, and I'm not sure allowing to change that won't cause more trouble than it fixes...

Audacity is an app that can generate huge temp files (like video-processing or disk burning apps), so it makes sense for them to offer such possibility.

My 2 cents...

nikospap

2013-09-11 18:08

reporter   ~0003566

In linux, the system saves the necessery space for itself, for root use. It doesn't have problems, when an application like Audacity tries to fill the partition.

Most application, nowdays, save the temporary files in the user's folder.
That would be, in " /home/username/.cache/freecad " .

Maybe this has to do with how FreeCad is compiled from source. It might be a packaging thing. I don't know.

wmayer

2013-09-14 09:57

administrator   ~0003577

One point is interesting. If you go to $HOME/.cache then you'll find the directory FreeCAD there. But it's definitely not us who write on there and I have no idea which application created that directory.

IMO it's not such a good idea to allow the user to change the temp folder (at least not via the GUI) and besides that this doesn't solve the issue reported in 0001237. What you need there is a clear feedback that something went wrong.

Currently, the default temp folder is expected to be /tmp but at the moment you can already define the environment variable TMPDIR to point to /home/username/.cache/FreeCAD. Maybe we could choose a better name, e.g. FREECADTMPDIR.

nikospap

2013-09-15 01:31

reporter   ~0003582

In my $HOME/.cache there isn't any "freecad" directory. I mentioned it earlier as to where the temporarily files should normally be.

I meant that if allowing the user to change the temp directory is not a good idea,
than you might need to consider setting the default temp directory in the "proper" location.

In the following link, someone called Juliano gives some "oficial" guidelines for linux.
http://stackoverflow.com/questions/1024114/location-of-ini-config-files-in-linux-unix

These guide lines are not obligatory, but they must exist for a reason.

wmayer

2015-09-19 14:10

administrator   ~0006435

In the parameter editor a custom path can be set under BaseApp > Preferences > General. The key must be called 'TempPath' and of type string. FreeCAD needs a restart when changing this.

Related Changesets

FreeCAD: master 2991bbf0

2015-09-19 16:07:33

wmayer

Details Diff
+ fixes 0001238: Preferences: set temp files directory Affected Issues
0001238
mod - src/App/Application.cpp Diff File
mod - src/App/Application.h Diff File
mod - src/App/Document.cpp Diff File
mod - src/Gui/Application.cpp Diff File
mod - src/Gui/AutoSaver.cpp Diff File
mod - src/Gui/CommandDoc.cpp Diff File
mod - src/Gui/DlgEditFileIncludeProptertyExternal.cpp Diff File
mod - src/Gui/MainWindow.cpp Diff File
mod - src/Mod/Fem/App/FemMesh.cpp Diff File
mod - src/Mod/Part/App/PropertyTopoShape.cpp Diff File

Issue History

Date Modified Username Field Change
2013-09-11 05:36 nikospap New Issue
2013-09-11 12:03 yorik Note Added: 0003565
2013-09-11 18:08 nikospap Note Added: 0003566
2013-09-14 09:57 wmayer Note Added: 0003577
2013-09-15 01:31 nikospap Note Added: 0003582
2015-09-19 14:08 wmayer Changeset attached => FreeCAD Master master 2991bbf0
2015-09-19 14:08 wmayer Assigned To => wmayer
2015-09-19 14:08 wmayer Status new => closed
2015-09-19 14:08 wmayer Resolution open => fixed
2015-09-19 14:10 wmayer Note Added: 0006435
2015-12-15 13:15 yorik Fixed in Version => 0.16